# Set column sensitivity

{% hint style="info" %}
Included in the Basic API.
{% endhint %}

The [Tonic Structural sensitivity scan](https://docs.tonic.ai/app/generation/identify-sensitive-data) makes an initial determination as to whether a column contains sensitive information.

You can then change whether the column is sensitive.

If you have an external data catalog that can determine sensitivity, you can send the source data to that system to get the determination, then use the results to generate the requests to mark columns as sensitive or not sensitive.&#x20;

## Designate columns as sensitive <a href="#api-columns-set-as-sensitive" id="api-columns-set-as-sensitive"></a>

To identify columns that are sensitive, use:

[<mark style="background-color:green;">**POST**</mark>**&#x20;/api/Privacy/set**](https://app.tonic.ai/apidocs/index.html#/Privacy/SetFieldSensitive)

The request identifies the workspace, and provides a list of columns to mark as sensitive.

```
{
  "workspaceId": "string",
  "columnKeys": [
    {
      "schema": "string",
      "table": "string",
      "columnName": "string"
    }
  ]
}
```

For MongoDB, the `columnName` value uses the format `{field name}.{data type}`. For example, `username.string`.

## Designate columns as not sensitive <a href="#api-columns-set-as-not-sensitive" id="api-columns-set-as-not-sensitive"></a>

To identify columns that are not sensitive, use:

[<mark style="background-color:green;">**POST**</mark>**&#x20;/api/Privacy/ignore**](https://app.tonic.ai/apidocs/index.html#/Privacy/SetFieldNonSensitive)

The request identifies the workspace, and provides a list of columns to mark as not sensitive.

```
{
  "workspaceId": "string",
  "columnKeys": [
    {
      "schema": "string",
      "table": "string",
      "columnName": "string"
    }
  ]
}
```

For MongoDB, the `columnName` value uses the format `{field name}.{data type}`. For example, `username.string`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-column-sensitivity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
